Subject: Re: [Lime] Passive performance measurement methods

From: "Srihari Raghavan (srihari)" <[email-masked]>
Date: Sun, 29 May 2016 03:40:38 +0000

Hi Greg

Very insightful.

My 2c as below.

  *   While the first definition of "MUST NOT add or change..."expressly rules out the 'passive' name-tag, the agreement that if the introduced change does not affect treatment of the flow in the network could be considered passive allows some latitude.
     *   By that context, the most important intent of 'passive-oam' as defined in the draft currently should not affect the treatment of the flow in the network.  That is the fundamental goal of in-band OAM contrasted with out-of-band OAM like ping/traceroute as defined in (https://github.com/CiscoDevNet/iOAM) based on which passive-oam is thought of.
     *   As was discussed in the call and as you rightly pointed out, the main side-effect of passive-oam as currently defined in the draft increases the packet size and hence MTU handling and even though it potentially affects the initial handling, IMHO, it should not affect the treatment of the flow in the network per-se once MTU increase is adjusted for.
  *   IMHO, 'hybrid' provides a connotation that somehow elements of both active AND passive are present and in the case of 'passive-oam' as defined currently, it is not the case.

Thanks
Srihari
From: Lime <[email-masked]<mailto:[email-masked]>> on behalf of Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Sunday, 29 May 2016 at 7:39 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lime] Passive performance measurement methods

Dear All,
out of our review of the draft-kumar-lime-yang-connectionless-oam I took AP to provide reference to the definition of Passive Method. RFC 7799<https://tools.ietf.org/html/rfc7799> Active and Passive Metrics and Methods  (with Hybrid Types In-Between) is product of discussions in IPPM WG. Section 3.6 opens with the detailed definition:
   Passive Methods of Measurement are:

   o  based solely on observations of an undisturbed and unmodified
      packet stream of interest (in other words, the method of
      measurement MUST NOT add, change, or remove packets or fields or
      change field values anywhere along the path).

   o  dependent on the existence of one or more packet streams to supply
      the stream of interest.

   o  dependent on the presence of the packet stream of interest at one
      or more designated Observation Points.

We've discussed whether methods that do alter a flow can be considered truly Passive. The agreement was that if introduced change does not affect treatment of the flow in the network, then the method can be considered Passive. For example, marking method that uses special field that not used in forwarding and/or in policing/scheduling. At the same time, if the marking method changes treatment of the flow, then it cannot be considered Passive but likely can be characterized as Hybrid (see discussion in Section 3.8. To the same category belong methods that alter packet length.

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Sun, 29 May 2016 05:33:58 +0000

Hi Srihari,
thank you for your detailed comments.
I believe that though passive OAM is inherently in-band active OAM may be in-band, i.e. share fate/path with the monitored flow, as well. And we have good examples to in-band active OAM in Ethernet and MPLS OAM. True, that is not the case for IP OAM in ECMP environment because of hashing on 5-tuple in general case would produce different result for the flow and OAM packets. I'll note that in work of Overlay OAM DT we pay particular attention to ensuring that active OAM is sharing fate/path with the monitored flow/service.
I would not argue with definitions accepted at Cisco but will note that IPPM WG, as it appears, has different opinion on what is passive, active and hybrid OAM measurement method.

                Regards,
                                Greg

From: Srihari Raghavan (srihari) [mailto:[email-masked]]
Sent: Saturday, May 28, 2016 8:41 PM
To: Gregory Mirsky; [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Hi Greg

Very insightful.

My 2c as below.

Dear All,

                Regards,
                                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 29 May 2016 22:39:30 +0000

On May 29, 2016, at 1:33 AM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Srihari,
thank you for your detailed comments.
I believe that though passive OAM is inherently in-band active OAM may be in-band, i.e. share fate/path with the monitored flow, as well. And we have good examples to in-band active OAM in Ethernet and MPLS OAM. True, that is not the case for IP OAM in ECMP environment because of hashing on 5-tuple in general case would produce different result for the flow and OAM packets. I’ll note that in work of Overlay OAM DT we pay particular attention to ensuring that active OAM is sharing fate/path with the monitored flow/service.
I would not argue with definitions accepted at Cisco but will note that IPPM WG, as it appears, has different opinion on what is passive, active and hybrid OAM measurement method.

We certainly need to get definitions from the IPPM WG on PM.

I will say that:
    “ MUST NOT add, change, or remove packets or fields or
      change field values anywhere along the path"

would rule all the marking methods as non-passive.

Consequently, what are in-band slightly-packet-modifiying methods?

Thanks,

— Carlos.

                Regards,
                                Greg

From: Srihari Raghavan (srihari) [mailto:[email-masked]]
Sent: Saturday, May 28, 2016 8:41 PM
To: Gregory Mirsky; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Hi Greg

Very insightful.

My 2c as below.

  *   While the first definition of "MUST NOT add or change…"expressly rules out the ‘passive’ name-tag, the agreement that if the introduced change does not affect treatment of the flow in the network could be considered passive allows some latitude.
     *   By that context, the most important intent of ‘passive-oam’ as defined in the draft currently shouldnot affect the treatment of the flow in the network.  That is the fundamental goal of in-band OAM contrasted with out-of-band OAM like ping/traceroute as defined in (https://github.com/CiscoDevNet/iOAM) based on which passive-oam is thought of.
     *   As was discussed in the call and as you rightly pointed out, the main side-effect of passive-oam as currently defined in the draft increases the packet size and hence MTU handling and even though it potentially affects the initial handling, IMHO, it should not affect the treatment of the flow in the network per-se once MTU increase is adjusted for.
  *   IMHO, ‘hybrid’ provides a connotation that somehow elements of both active AND passive are present and in the case of ‘passive-oam’ as defined currently, it is not the case.

Thanks
Srihari

Dear All,

We’ve discussed whether methods that do alter a flow can be considered truly Passive. The agreement was that if introduced change does not affect treatment of the flow in the network, then the method can be considered Passive. For example, marking method that uses special field that not used in forwarding and/or in policing/scheduling. At the same time, if the marking method changes treatment of the flow, then it cannot be considered Passive but likely can be characterized as Hybrid (see discussion in Section 3.8. To the same category belong methods that alter packet length.

                Regards,
                                Greg
_______________________________________________
Lime mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lime